<div [ngSwitch]="situation" #switchContainer>
    <ng-container *ngIf="completedLoadCash">
        <ng-container *ngFor="let status of statusList; let i=index">
            <ayu-sprite-background
                [status]="status"
                [afterTurnResult]="afterResultListCash[i]"
                *ngSwitchCase="status.situation.value"
            ></ayu-sprite-background>
        </ng-container>
    </ng-container>
</div>